# Handle the incoming configuration files:
config() {
  for infile in $1; do
    NEW="$infile"
    OLD="`dirname $NEW`/`basename $NEW .new`"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
      mv $NEW $OLD
    elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
      # toss the redundant copy
      rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
  done
}

config etc/scrollkeeper.conf.new

if [ -x usr/bin/xmlcatalog ]; then
  usr/bin/xmlcatalog --noout --add "public" \
    "-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" \
    "/usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" etc/xml/catalog
fi

if [ -x usr/bin/scrollkeeper-rebuilddb ]; then
  usr/bin/scrollkeeper-rebuilddb -q -p var/lib/scrollkeeper
fi

if [ -x usr/bin/scrollkeeper-update ]; then
  usr/bin/scrollkeeper-update -p var/lib/scrollkeeper 1> /dev/null 2> /dev/null
fi
( cd usr/lib64 ; rm -rf libscrollkeeper.so )
( cd usr/lib64 ; ln -sf libscrollkeeper.so.0.0.0 libscrollkeeper.so )
( cd usr/lib64 ; rm -rf libscrollkeeper.so.0 )
( cd usr/lib64 ; ln -sf libscrollkeeper.so.0.0.0 libscrollkeeper.so.0 )
